org.apache.ivy.plugins.parser.m2

## Class PomModuleDescriptorBuilder.PomModuleDescriptor

- java.lang.Object
- - org.apache.ivy.core.module.descriptor.DefaultModuleDescriptor
  - - org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder.PomModuleDescriptor

All Implemented Interfaces:
  DependencyDescriptorMediator, ModuleDescriptor, ArtifactInfo, ExtendableItem

Enclosing class:
  PomModuleDescriptorBuilder

    public static class PomModuleDescriptorBuilder.PomModuleDescriptor
    extends DefaultModuleDescriptor

### Field Summary

### Fields inherited from interface org.apache.ivy.core.module.descriptor.ModuleDescriptor

`CALLER_ALL_CONFIGURATION, DEFAULT_CONFIGURATION`

### Constructor Summary

Constructors
Constructor and Description
`PomModuleDescriptorBuilder.PomModuleDescriptor(ModuleDescriptorParser parser, Resource res)`

### Method Summary

Methods
`void` `addDependencyManagement(PomDependencyMgt dependencyMgt)`
`java.util.Map` `getDependencyManagementMap()`

### Methods inherited from class org.apache.ivy.core.module.descriptor.DefaultModuleDescriptor

`addArtifact, addConfiguration, addConflictManager, addDependency, addDependencyDescriptorMediator, addExcludeRule, addExtraAttributeNamespace, addExtraInfo, addExtraInfo, addInheritedDescriptor, addLicense, canExclude, check, dependsOn, doesExclude, equals, getAllArtifacts, getAllDependencyDescriptorMediators, getAllExcludeRules, getArtifacts, getAttribute, getAttributes, getConfiguration, getConfigurations, getConfigurationsNames, getConflictManager, getDefaultConf, getDefaultConfMapping, getDependencies, getDescription, getExcludeRules, getExtraAttribute, getExtraAttributes, getExtraAttributesNamespaces, getExtraInfo, getExtraInfoByTagName, getExtraInfoContentByTagName, getExtraInfos, getHomePage, getInheritedDescriptors, getLastModified, getLicenses, getMetadataArtifact, getModuleRevisionId, getNamespace, getParser, getPublicationDate, getPublicConfigurationsNames, getQualifiedExtraAttributes, getResolvedModuleRevisionId, getResolvedPublicationDate, getResource, getRevision, getStatus, hashCode, isDefault, isMappingOverride, isNamespaceUseful, mediate, newBasicInstance, newCallerInstance, newCallerInstance, newDefaultInstance, newDefaultInstance, setDefault, setDefaultConf, setDefaultConfMapping, setDescription, setHomePage, setLastModified, setMappingOverride, setModuleArtifact, setModuleRevisionId, setNamespace, setPublicationDate, setResolvedModuleRevisionId, setResolvedPublicationDate, setStatus, toIvyFile, toString, transformInstance`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PomModuleDescriptorBuilder.PomModuleDescriptor

    public PomModuleDescriptorBuilder.PomModuleDescriptor(ModuleDescriptorParser parser,
                                                  Resource res)

### Method Detail

#### addDependencyManagement

    public void addDependencyManagement(PomDependencyMgt dependencyMgt)

#### getDependencyManagementMap

    public java.util.Map getDependencyManagementMap()